zenilib: zenilib/jni/external/sdl/SDL/SDL_test_log.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_test_log.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Functions

void | SDLTest_Log (const char *fmt,...)
| Prints given message with a timestamp in the TEST category and INFO priority. More...
void | SDLTest_LogError (const char *fmt,...)
| Prints given message with a timestamp in the TEST category and the ERROR priority. More...

## Detailed Description

Include file for SDL test framework.

This code is a part of the SDL2_test library, not the main SDL library.

Definition in file SDL_test_log.h.

## Function Documentation

void SDLTest_Log | ( | const char * | fmt,
|  |  | ...
| ) |  |

Prints given message with a timestamp in the TEST category and INFO priority.

Parameters

  fmt | Message to be logged

Definition at line 71 of file SDL_test_log.c.

References SDL_LOG_CATEGORY_TEST, SDL_LOG_PRIORITY_INFO, SDL_LogMessage(), SDL_memset(), SDL_vsnprintf(), SDLTEST_MAX_LOGMESSAGE_LENGTH, and SDLTest_TimestampToString().

Referenced by SDLTest_AssertCheck(), SDLTest_AssertPass(), SDLTest_LogAssertSummary(), SDLTest_LogTestSuiteSummary(), SDLTest_RunSuites(), and SDLTest_RunTest().

void SDLTest_LogError | ( | const char * | fmt,
|  |  | ...
| ) |  |

Prints given message with a timestamp in the TEST category and the ERROR priority.

Parameters

  fmt | Message to be logged

Definition at line 89 of file SDL_test_log.c.

References SDL_LOG_CATEGORY_TEST, SDL_LOG_PRIORITY_ERROR, SDL_LogMessage(), SDL_memset(), SDL_vsnprintf(), SDLTEST_MAX_LOGMESSAGE_LENGTH, and SDLTest_TimestampToString().

Referenced by SDLTest_AssertCheck(), SDLTest_BailOut(), SDLTest_CompareSurfaces(), SDLTest_GenerateExecKey(), SDLTest_GenerateRunSeed(), SDLTest_LogAssertSummary(), SDLTest_RunSuites(), SDLTest_RunTest(), and SDLTest_SetTestTimeout().